<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Page language="c#" Codebehind="ConfigurationEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.ConfigurationEdit" %>
<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id="EditConfigurationDialog" runat="server" Watermark="images/water_tools.gif" Caption="Edit Configuration">
		<table>
			<tr runat="server" id="AllowRememberMeTableRow">
				<td>
					<thycotic:fieldlabel id="AllowRememberMeFieldLabel" runat="server" Text="Allow Remember Me"></thycotic:fieldlabel>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td>
					<thycotic:checkbox id="AllowRememberMeCheckBox" runat="server"></thycotic:checkbox>
				</td>
			</tr>
			<tr>
				<td valign="top">
					<thycotic:fieldlabel id="AllowRemberMeTimeOutLabel" runat="server" Text="Remember Me is valid for"></thycotic:fieldlabel>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td>
					<thycotic:checkbox id="AllowRememberMeMinutesCheckBox" runat="server" Text="Unlimited" autopostback="true"></thycotic:checkbox>
					<br>
					<asp:panel id="AllowRememberMeDayHoursMinutesPanel" runat="server">
					<table>
						<tr>
							<td><thycotic:label id="FromDaysLabel" runat="server" Text="Days" /></td>
							<td><thycotic:textbox id="FromDaysTextBox" runat="server" Text="" maxlength="4" size="4"></thycotic:textbox></td>
						</tr>
						<tr>
							<td><thycotic:label id="FromHoursLabel" runat="server" Text="Hours" /></td>
							<td><thycotic:textbox id="FromHoursTextBox" runat="server" Text="" maxlength="2" size="4"></thycotic:textbox></td>
						</tr>
						<tr>
							<td><thycotic:label id="FromMinutesLabel" runat="server" Text="Minutes" /></td>
							<td><thycotic:textbox id="FromMinutesTextBox" runat="server" Text="" maxlength="2" size="4"></thycotic:textbox></td>
						</tr>
					</table>
					</asp:panel>
				</td>
			</tr>
			<tr>
				<td colspan="3">&nbsp;&nbsp;</td>
			</tr>
			<tr runat="server" id="AllowAutoCompleteTableRow">
				<td>
					<thycotic:fieldlabel id="AllowAutoCompleteFieldLabel" runat="server" Text="Allow AutoComplete"></thycotic:fieldlabel>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td>
					<thycotic:checkbox id="AllowAutoCompleteCheckBox" runat="server"></thycotic:checkbox>
				</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="MaximumLoginFailuresFieldLabel" runat="server" Text="Maximum Login Failures"></thycotic:fieldlabel>
				</td>
				<td>
					<thycotic:numbervalidator id="MaxLoginFailureNumberValidator" runat="server" text="!" errormessage="Maximum Login Failures must be a numeric value."
						controltovalidate="MaxLoginFailuresTextBox"></thycotic:numbervalidator>
				</td>
				<td>
					<thycotic:textbox id="MaxLoginFailuresTextBox" runat="server" size="4" MaxLength="3"></thycotic:textbox>
				</td>
			</tr>
			<tr>
				<td colspan="3">&nbsp;&nbsp;</td>
			</tr>
			<tr runat="server" id="SmtpServerTableRow">
				<td>
					<thycotic:fieldlabel id="SmtpServerFieldLabel" runat="server" Text="Email Server (SMTP)"></thycotic:fieldlabel>
					<br>
					<thycotic:label id="SmtpServerNotesLabel" runat="server" text="(SMTP server used by Secret Server for notifications)"></thycotic:label>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td>
					<thycotic:textbox id="SmtpServerTextBox" runat="server" size="30" MaxLength="200"></thycotic:textbox>
				</td>
			</tr>
			<tr runat="server" id="FromEmailAddressTableRow">
				<td>
					<thycotic:fieldlabel id="FromEmailAddressFieldLabel" runat="server" text="From Email Address"></thycotic:fieldlabel>
					<br>
					<thycotic:label id="FromEmailAddressNotesLabel" runat="server" text="(Email Address used by Secret Server for notifications)"></thycotic:label>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td>
					<thycotic:textbox id="FromEmailAddressTextBox" runat="server" maxlength="200" size="30"></thycotic:textbox>
				</td>
			</tr>
			<tr runat="server" id="AllowSoftwareUpdateChecksTableRow">
				<td><thycotic:fieldlabel id="AllowSoftwareUpdateChecksLabel" runat="server" Text="Allow automatic checks for software updates over internet"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="AllowSoftwareUpdateCheckbox" runat="server"></thycotic:checkbox></td>
			</tr>
			<tr runat="server" id="AllowToolbarWebServiceTableRow">
				<td><thycotic:fieldlabel id="AllowToolbarWebServiceFieldLabel" runat="server" text="Enable Toolbar Webservice"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="AllowToolbarWebServiceCheckbox" runat="server"></thycotic:checkbox></td>
			</tr>
			<tr runat="server" id="AllowLogoutTimeoutTableRow">
				<td>
					<thycotic:fieldlabel id="AllowLogoutTimeoutFieldLabel" runat="server" Text="Force Inactivity Timeout"></thycotic:fieldlabel>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td>
					<thycotic:checkbox id="AllowLogoutTimeoutCheckBox" runat="server" autopostback="true"></thycotic:checkbox>
				</td>
			</tr>
			<tr runat="server" id="ConfigurableInMinutesTableRow">
				<td>
					<thycotic:fieldlabel id="ConfigurableInMinutesFieldLabel" runat="server" Text="Configurable in minutes"></thycotic:fieldlabel>
				</td>
				<td>
					<thycotic:numbervalidator id="TimeoutMinutesNumberValidator" runat="server" text="!" errormessage="Timeout minutes must be a numeric value."
						controltovalidate="TimeoutMinutesTextBox"></thycotic:numbervalidator>
					<thycotic:businessvalidator id="TimeoutMinutesValidator" runat="server" text="!" controltovalidate="TimeoutMinutesTextBox"></thycotic:businessvalidator>
				</td>
				<td>
					<thycotic:textbox id="TimeoutMinutesTextBox" runat="server" size="4" MaxLength="3"></thycotic:textbox>
				</td>
			</tr>
			<tr>
				<td colspan="3">&nbsp;&nbsp;</td>
			</tr>			
			<tr>
				<td><thycotic:fieldlabel id="RequireSymbolsFieldLabel" runat="server" text="Require Symbols for Passwords"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="RequireSymbolsCheckBox" runat="server"></thycotic:checkbox></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="RequireLowercaseFieldLabel" runat="server" text="Require Lowercase Letters for Passwords"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="RequireLowercaseCheckBox" runat="server"></thycotic:checkbox></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="RequireUppercaseFieldLabel" runat="server" text="Require Uppercase Letters for Passwords"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="RequireUppercaseCheckBox" runat="server"></thycotic:checkbox></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="RequireNumbersFieldLabel" runat="server" text="Require Numbers for Passwords"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="RequireNumbersCheckBox" runat="server"></thycotic:checkbox></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="RequireMinLengthFieldLabel" runat="server" text="Require Minimum Password Length"></thycotic:fieldlabel></td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top">
					<thycotic:checkbox id="RequireMinLengthCheckBox" runat="server"></thycotic:checkbox>
					&nbsp;&nbsp;
					<thycotic:label id="MinLengthLabel" runat="server" text="Minimum Length"/>
					<thycotic:textbox id="MinLengthTextBox" runat="server" maxlength="2" width="23px"/>
					<thycotic:RegularExpressionValidator id="MinLengthValidator" runat="server" errormessage="Please enter a valid minimum password length." controltovalidate="MinLengthTextBox" ValidationExpression="[0-9][0-9]?" />	
				</td>
			</tr>
			<tr>
				<td colspan="3">&nbsp;&nbsp;</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="ForcePasswordMaskingFieldLabel" runat="server" text="Force Password Masking"></thycotic:fieldlabel>
				</td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="ForcePasswordMaskingCheckBox" runat="server"></thycotic:checkbox></td>
			</tr>	
			<tr runat="server" id="ForceHttpsTableRow">
				<td>
					<thycotic:fieldlabel id="ForceHttpsFieldLabel" runat="server" text="Force HTTPS"></thycotic:fieldlabel>
					<asp:literal id="ForceHttpsMessageLiteral" runat="server" />
				</td>
				<td>&nbsp;&nbsp;</td>
				<td valign="top"><thycotic:checkbox id="ForceHttpsCheckBox" runat="server"></thycotic:checkbox></td>
			</tr>			
			<tr>
				<td colspan="3"><br>
					<thycotic:button id="SaveButton" runat="server" text="Save"></thycotic:button>
					<thycotic:button id="CancelButton" runat="server" text="Cancel"></thycotic:button>
				</td>
			</tr>
		</table>
		<thycotic:businessvalidator id="MaxLoginFailureTextBoxValidator" runat="server"></thycotic:businessvalidator>
		<thycotic:businessvalidator id="FromDaysValidator" runat="server"></thycotic:businessvalidator>
		<thycotic:businessvalidator id="FromHoursValidator" runat="server"></thycotic:businessvalidator>
		<thycotic:businessvalidator id="FromMinuteValidator" runat="server"></thycotic:businessvalidator>
	</custom:NewDialog>
</ihawu:masterpage>
