IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbConfiguration'
			AND 
			C.Name='ConcurrencyId'
	)
	BEGIN
		ALTER TABLE [dbo].[tbConfiguration]
			ADD	[ConcurrencyId] [VARCHAR](50) NULL
	END
GO

UPDATE [dbo].[tbConfiguration] SET [ConcurrencyId] = 'A735BA90-E93E-45f5-BC07-7353A2D58D60' WHERE ConfigurationId = 1

GO

ALTER TABLE [dbo].[tbConfiguration] 
	ALTER COLUMN [ConcurrencyId] [VARCHAR](50) NOT NULL	
GO