IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='TwoFactor'
	)
	BEGIN
		ALTER TABLE [dbo].[tbUser] 
			ADD	[TwoFactor] BIT NULL
	END
GO

UPDATE tbUser SET [TwoFactor] = 0

GO

ALTER TABLE [dbo].[tbUser]
	ALTER COLUMN [TwoFactor] BIT NOT NULL
	
GO
