<%@ Page language="c#" Codebehind="FolderView.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.FolderView" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<ihawu:masterpage id="masterPage" runat="server">
<h3><thycotic:label id="FolderNameLabel" runat="server" /></h3>

<custom:NewDialog id="ViewFolderDialog" Caption="Folder" runat="server">
	
	<thycotic:Label runat="Server" id="SharedWithLabel" Text="Permissions For" />
	<br />
	<thycotic:datagrid AllowPaging="false" id="FolderPermissionViewDataGrid" itemsname="default group permissions for this folder"  runat="server">
		<columns>
			<asp:templatecolumn sortexpression="GroupName" headertext="Group Name">
				<itemtemplate>
					<thycotic:label id="GroupNameLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="View">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
					<asp:image id="ReadPermissionImage" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Edit">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
					<asp:image id="WritePermissionImage" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Share">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
					<asp:image id="SharePermissionImage" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>		
	<br /> <br />
	<thycotic:button id="BackButton" runat="server" text="Back"></thycotic:button>
	<thycotic:button id="EditButton" runat="server" text="Edit"></thycotic:button>
	
</custom:NewDialog>

</ihawu:masterpage>