<%@ Page language="c#" Codebehind="LicenseEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.LicenseEdit" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="LicenseEditDialog" runat="server" Caption="License Edit" Height="100">
<table>
	<tr>
		<td><thycotic:fieldlabel id="LicenseNameFieldLabel" runat="server" Text="License Name" /></td>
		<td><thycotic:requiredfieldvalidator ControlToValidate="LicenseNameTextBox" id="LicenseNameRequiredFieldValidator" ErrorMessage="Please enter the License Name." runat="server" /></td>
		<td><thycotic:textbox maxlength="200" size="40" id="LicenseNameTextBox" runat="server" /></td>
	</tr>
	<tr>
		<td><thycotic:fieldlabel id="LicenseKeyFieldLabel" runat="server" Text="License Key" /></td>
		<td><thycotic:requiredfieldvalidator ControlToValidate="LicenseKeyTextBox" id="LicenseKeyRequiredFieldValidator" ErrorMessage="Please enter the License Key." runat="server" /></td>
		<td><thycotic:textbox maxlength="50" size="40" id="LicenseKeyTextBox" runat="server" /></td>
	</tr>
	<tr>
		<td colspan="2">
			<br/>
			<thycotic:button id="SaveButton" text="Save" runat="server" />
			<thycotic:button id="CancelButton" text="Cancel" runat="server" />
		</td>
	</tr>
</table>
</custom:newdialog>
<thycotic:businessvalidator id="CustomBusinessValidator" runat="server" />
	
<script language="javascript">
addOnLoad(function() { var textbox = document.getElementById("LicenseNameTextBox"); if (textbox != null) textbox.focus(); });
</script>

</ihawu:masterpage>