IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbGroup'
			AND 
			C.Name='IsPersonal'
	)
	BEGIN
		ALTER TABLE [dbo].[tbGroup] 
			ADD [IsPersonal] [bit] NOT NULL DEFAULT 0
	END
GO