<%@ Page language="c#" Codebehind="Home.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.Home" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" tagname="SecretGrid" src="~/usercontrols/SecretGrid.ascx" %>
<%@ Register TagPrefix="ihawu_web" tagname="FolderTreeView" src="~/usercontrols/FolderTreeView.ascx" %>
<ihawu:masterpage id="masterPage" runat="server">
	<table width="100%" cellpadding="0" width="100%" cellspacing="0" border="0">
		<tr id="OutOfSyncAlertRow" runat="server" >
		<td colspan="2" align="center" >
			<custom:OutOfSyncControl style="width:400px;" id="OutOfSyncAlert" runat="server" />
		</td>
		</tr>
		<tr>
			<td valign="top">
				<table cellpadding="5" width="100%" cellspacing="0" border="0">
					<tr>
						<td valign="top">
							<custom:NewDialog runat="server" id="FolderTreeViewDialog" Caption="Search by Folder" AllowCollapse="true" Collapsed="false" Watermark="images/searchbyfolder.gif">
								<thycotic:HyperLink runat="server" id="FoldersLink" visible="false"/>
								<ihawu_web:FolderTreeView id="SearchFolderTreeView" runat="server" />
							</custom:NewDialog>
						</td>
					</tr>
				</table>
			</td>
			<td valign="top">
				<table cellpadding="5" width="100%" cellspacing="0" border="0">
					<tr>
						<td valign="top" height="150">
							<custom:NewDialog runat="server" id="SearchDialog" Height="150" Watermark="images/water_search.gif" Caption="Secret Search">
							<table>
							<tr>
								<td align="right"><asp:Label runat="server" id="SearchForLabel" Text="Search for" /></td>
								<td>&nbsp;</td>
								<td><thycotic:textbox id="SearchTermTextBox" style="width:170px;" cssclass="SearchTermTextBox" runat="server" /></td>
							</tr>
							<tr>
								<td align="right"><asp:Label runat="server" id="BySecretTypeLabel" Text="By Secret Type" /></td>
								<td>&nbsp;</td>
								<td><asp:dropdownlist id="SearchSecretTypeDropDown" style="width:170px;" runat="server" /></td>
							</tr>
							<tr>
								<td align="right"><asp:Label runat="server" id="ByActiveLabel" Text="By Active" /></td>
								<td>&nbsp;</td>
								<td>
									<thycotic:dropdownlist id="ActiveFilterDropDown" style="width:170px;" runat="server" />
								</td>
							</tr>
							<tr>
								<td colspan="3" align="left">&nbsp;<br/>
									<thycotic:button id="DoSearchButton" text="Search" runat="server" />
									<thycotic:button id="BrowseAllButton" runat="Server" text="Browse All" />
								</td>
							</tr>
							</table>
							</custom:NewDialog>
							<br/>
						</td>
						<td valign="top" height="150">
							<custom:NewDialog runat="server" id="CreateNewTypeDialog" Height="150" Caption="Create New Secret" Watermark="images/water_create.gif">
								<thycotic:Label runat="server" id="CreateNewLabel" Text="Create new" /> <thycotic:dropdownlist id="NewSecretDropDown" runat="server" autopostback="true" />
							</custom:NewDialog>
						</td>
						<td valign="top" height="150">
							<custom:NewDialog runat="server" Id="RecentDialog" Height="150" Caption="Recent Secrets" Watermark="images/water_recent.gif" LinkToolTip="TEST" LinkColor="White" Link="SecretRecent.aspx">
								<thycotic:repeater id="RecentRepeater" runat="server">
									<itemtemplate>
										<thycotic:hyperlink id="SecretHyperlink" runat="server">
											<thycotic:label id="SecretLabel" runat="server" />
										</thycotic:hyperlink>
										<br />
									</itemtemplate>
								</thycotic:repeater>
							</custom:NewDialog>
						</td>
					</tr>
					<tr valign="top" height ="50">
						<td colspan="2" valign="top" rowspan="2">
							<ihawu_web:SecretGrid valign="top" id="SecretGrid1" runat="server" />
						</td>
						<td valign="top">
								
							<custom:NewDialog runat="server" id="FavoriteSecretsDialog" Height="250" Watermark="images/water_favorite.gif" Caption="Favorite Secrets">
								<thycotic:Repeater id="FavoritesRepeater" runat="server">
									<itemtemplate>
											<thycotic:HyperLink id="FavoriteSecretHyperLink" runat="server" />
											<br />
									</itemtemplate>
								</thycotic:Repeater>
							</custom:NewDialog>
						</td>
					</tr>
					<tr>
						<td valign="top">
							<custom:NewDialog runat="server" id="ExpiredSecretsDialog" Height="250" Watermark="images/expired_secret.gif" Caption="Expired Secrets" LinkColor="White" Link="SecretExpired.aspx">
								<thycotic:Repeater id="ExpiredSecretsRepeater" runat="server">
									<itemtemplate>
										<thycotic:HyperLink id="ExpiredSecretHyperLink" runat="server" />
										<br />
									</itemtemplate>
								</thycotic:Repeater>
							</custom:NewDialog>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>

	<script language="javascript">
addOnLoad(function() { var textbox = document.getElementById("SearchTermTextBox"); textbox.focus(); textbox.select(); });
	</script>
</ihawu:masterpage>
